Question: Data managers are not installing correctly
1
gravatar for carlos
6 days ago by
carlos10
United States
carlos10 wrote:

Hi everyone,

I'm trying to install some data managers, but the ones I attempted to install are not completing. The status shows the message stating "Setting tool versions" for over 4 hours.

[https://www.dropbox.com/s/5j34fym5eecbtmr/2017-08-10_21-12-12.jpg?dl=0][1]

When I try to deactivate or delete the tool to reinstall, I get the message:

[https://www.dropbox.com/s/89i00z4e5anqg22/2017-08-10_21-17-48.jpg?dl=0][2]

Would anyone out there have a way to troubleshoot or resolve this issue? When I click on Data -- Local Data, nothing shows:

[https://www.dropbox.com/s/p5gbb67gcp8ivui/2017-08-10_21-18-49.jpg?dl=0][3]

Thank you!

CL

ADD COMMENTlink modified 5 days ago • written 6 days ago by carlos10
1
gravatar for Jennifer Hillman Jackson
5 days ago by
United States
Jennifer Hillman Jackson22k wrote:

Hello,

Did the DMs install yet? You might be able to stop/restart the server, upgrade Galaxy as needed, delete any tools that partially installed, then try again. I noticed that you have two versions of the same tool installing. This will likely not be a problem technically but could be confusing once you start to perform data admin tasks. So, use the most current version of all tools for best results.

Do other tools install?

What version of Galaxy are you using? If not 17_05, upgrade. Is this from http://getgalaxy.org, a docker Galaxy, a Cloudman Galaxy, or some other type?

Is Conda enabled for dependency resolution? This is the default as of 17_05.

You may have a slower connection, the Tool Shed was busy, or there is a configuration problem with your instance. If you still have problems after this, share some more details to the questions above and we can help with troubleshooting.

And until the Data Managers are installed, no content under local data will be present. The tool themselves will show up once installed. The resulting data tables will show up once content is generated from them.

Thanks! Jen, Galaxy team

ADD COMMENTlink written 5 days ago by Jennifer Hillman Jackson22k
0
gravatar for carlos
5 days ago by
carlos10
United States
carlos10 wrote:

Hi Jen,

Thanks for the detailed response. Here is some update since the initial posting:

  • No, DMs are not yet installed
  • Yes, i was / am able to install other tools w/out problems
  • Yes, Conda is enabled for dependency resolution and works perfectly
  • I also think it's an configuration issue in the data manager section. I installed another instance of Galaxy and the DMs installed in minutes.

We are using 16.07 installed from a Git pull. Yes, we'll be upgrading shortly to the latest version.

Here is how our config.ini looks like within the data manager section:

https://www.dropbox.com/s/3ig1g94wuq6xt67/2017-08-11_16-19-38.png?dl=0

CL

ADD COMMENTlink written 5 days ago by carlos10

The galaxy.ini looks fine for that version of Galaxy. However, I strongly suspect the problem is that the latest versions of the DMs are not compatible with the older 16_07 version of Galaxy. Many changes have been made since then. Do the Galaxy upgrade and the problems will likely go away - and bonus - other newer tools will also install and function more reliably.

It is possible to navigate to the tool repo, find earlier versions of the tools that are dated slightly before the time of the Galaxy release in use, and those should work fine (or as well as they originally did - DMs have code fixes, too), and install those tool versions manually. You need to manually manage the dependencies as well, so this is a trickier route and not recommended unless you have an admin (or you!) that is willing to do the extra work to set up and troubleshoot the installs done this way.

ADD REPLYlink written 5 days ago by Jennifer Hillman Jackson22k

Jen,

Thanks again for the feedback provided and possible solution. However, we are still unable to install the data managers. Once the current runs are completed, I'll perform the update as suggested, but I did install a plain Galaxy instance v. 16.07 on another machine and I was able to install the latest data managers without problem. This led me to believe it is an issue with our configuration files or custom file paths we are using.

CL

ADD REPLYlink written 1 day ago by carlos10
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 122 users visited in the last hour